Subject: Re: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Tue, 17 Aug 2010 14:14:12 +0200

>> They are both equally bad.  I think we should add a hook to redisplay
>> that gets called whenever selection is non-zero.  Then that hook can
>> do the right thing.
> Why should redisplay concern selection?

Because the behavior we want is that "if the user has seen the region
highlighted, then it has been selected".

>> It was said that only redisplay knows if the regions is non-empty and 
>> hightlighted.
> ??? If redisplay knows that, command_loop_1 should know that too.

redisplay can happen at times when command_loop_1 is not involved
(sit-for, read-event, ...).

        Stefan